#ifndef _DHT_H_
#define _DHT_H_
#include <stdbool.h>

#define DHT_GPIO_CLK RCC_AHBPeriph_GPIOB
#define DHT_GPIO GPIOB
#define DHT_POWER_PIN GPIO_Pin_7
#define DHT_PIN GPIO_Pin_6


void DHTInit(void);
void DHTPowerOn(bool on);
void DHTReadData(void);

void DHTDelay1ms(uint16_t count1ms);

extern bool dht_ok;
extern bool dht_complete;
extern int16_t dht_temperature;
extern int16_t dht_humidity;

#endif//_DHT_H_