#ifndef _TI8077_LCD_H_
#define _TI8077_LCD_H_

#include <stdbool.h>


void LCD_GLASS_Init(void);
void LCD_GLASS_WriteChar(uint8_t ch, bool point, bool column,uint8_t position);
void LCD_GLASS_DisplayString(char* ptr);
void LCD_GLASS_ClearChar(uint8_t position);
void LCD_GLASS_Clear(void);
void LCD_GLASS_Configure_GPIO(void);

void LCD_WriteRegister(uint8_t index, uint32_t value);
void LCD_WriteHex(uint8_t position, uint16_t hex9);

/*
	normal sequence 
	LCD_GLASS_Clear();//at start

	LCD_GLASS_WriteChar or LCD_GLASS_DisplayString 

	LCD_UpdateDisplayRequest();//at end
*/


#endif //_TI8077_LCD_H_
